# 导入FastAPI及相关模块
import uvicorn
from py_tools.logging import logger

from .settings import base_setting
from .server import app

def main():
    logger.info(f"project run {base_setting.server_host}:{base_setting.server_port}")
    uvicorn.run(
        app=app, host=base_setting.server_host, port=base_setting.server_port, log_level=base_setting.server_log_level,
        access_log=False
    )

if __name__ == "__main__":
    main()

