# @Desc: { 日志工具模块 }

from py_tools.logging import setup_logging

from ..settings import log_setting
from ..utils.trace_util import TraceUtil


def _logger_filter(record):
    """日志过滤器补充request_id"""
    req_id = TraceUtil.get_req_id()

    trace_msg = f"{req_id}"
    record["trace_msg"] = trace_msg
    return record


def setup_logger():
    """配置项目日志信息"""
    setup_logging(
        log_dir=log_setting.logging_dir,
        log_filter=_logger_filter,
        log_format=log_setting.log_format,
        console_log_level=log_setting.console_log_level,
        log_retention=log_setting.server_logging_retention,
        log_rotation=log_setting.server_logging_rotation,
    )
