import os
from dotenv import load_dotenv
from urllib.parse import quote

load_dotenv()


class SiteConfig:
    def __init__(self):
        self.load_config()
    
    def load_config(self):        
        self.config = {
            "LICENSE_PATH": os.getenv("LICENSE_PATH", ""),        
            'EMBEDDING_MODEL': os.getenv("EMBEDDING_MODEL",""),
            'DB_HOST':  os.getenv("DB_HOST",""),
            'DB_NAME':  os.getenv("DB_NAME",""),
            'DB_PORT':  os.getenv("DB_PORT",""),
            'DB_USER': os.getenv("DB_USER", ""),
            'DB_PASSWORD': os.getenv("DB_PASSWORD", ""),
        }
    def get_config(self, config_name, default=None): 
        config_name = config_name.upper()     
        value = os.getenv(config_name, None)  
        if value:
            return value
        
        if config_name in self.config:            
            return self.config[config_name]
        else:
            return default
    def check_config(self, config_list):
        for item in config_list:
            if not self.get_config(item):
                raise ValueError(f"Configuration '{item}' is not set.")
      