from fastapi import APIRouter, Depends
from pydantic import BaseModel
from typing import Optional

from ..db.session import get_db
from ..model.response import StandardResponse
from ..service.kg_graph_service import KgGraphService

router = APIRouter()

class KgQuery(BaseModel):
    label_name: str
    input_str: str

@router.post("/getGraph")
async def get_graph(kg_query: KgQuery) -> StandardResponse:
    db = next(get_db())
    kg_graph_service = KgGraphService(db)
    graph_data = kg_graph_service.get_graph_fac(kg_query.label_name,kg_query.input_str)
    return StandardResponse(
        success=True,
        data=graph_data
    )

graph_router = router