# @Desc: { 日志链路追踪工具模块 }
import uuid

from ..utils import context_util

class TraceUtil(object):
    @staticmethod
    def set_req_id(req_id: str = None, title="req-id") -> str:
        """
        设置请求唯一ID
        Args:
            req_id: 请求ID 默认None取uuid
            title: 标题 默认req-id

        Returns:
            title:req_id
        """
        req_id = req_id or uuid.uuid4().hex
        # req_id = f"{title}:{req_id}"

        context_util.REQUEST_ID.set(req_id)
        return req_id

    @staticmethod
    def get_req_id() -> str:
        return context_util.REQUEST_ID.get()
